diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-cqa-ff-mac-scheduler.cc ns-3.42/src/lte/test/lte-test-cqa-ff-mac-scheduler.cc
--- ns-3.41/src/lte/test/lte-test-cqa-ff-mac-scheduler.cc	2024-02-09 14:44:08.329793200 -0800
+++ ns-3.42/src/lte/test/lte-test-cqa-ff-mac-scheduler.cc	2024-05-29 15:29:47.124073500 -0700
@@ -65,7 +65,7 @@
 NS_LOG_COMPONENT_DEFINE("LenaTestCqaFfMacScheduler");
 
 LenaTestCqaFfMacSchedulerSuite::LenaTestCqaFfMacSchedulerSuite()
-    : TestSuite("lte-cqa-ff-mac-scheduler", SYSTEM)
+    : TestSuite("lte-cqa-ff-mac-scheduler", Type::SYSTEM)
 {
     NS_LOG_INFO("creating LenaTestCqaFfMacSchedulerSuite");
 
@@ -95,11 +95,11 @@
     //  6 users -> 4 PRB at Itbs 26 -> 373 -> 373000 > 232000 -> throughput = 232000 bytes/sec
     //  12 users -> 2 PRB at Itbs 26 -> 185 -> 185000 < 232000 -> throughput = 185000 bytes/sec
     AddTestCase(new LenaCqaFfMacSchedulerTestCase1(1, 0, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaCqaFfMacSchedulerTestCase1(3, 0, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaCqaFfMacSchedulerTestCase1(6, 0, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // AddTestCase (new LenaCqaFfMacSchedulerTestCase1 (12,0,183000,185000,200,1,errorModel));//
     // simulation time = 1.5, otherwise, ul test will fail
@@ -122,11 +122,11 @@
     // 12 users -> 3 PRB at Itbs 13 -> 93  bytes * 8/12 UE/TTI  -> 62000 < 232000 -> throughput =
     // 62000  bytes/sec
     AddTestCase(new LenaCqaFfMacSchedulerTestCase1(1, 4800, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaCqaFfMacSchedulerTestCase1(3, 4800, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaCqaFfMacSchedulerTestCase1(6, 4800, 230500, 125000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     // AddTestCase (new LenaCqaFfMacSchedulerTestCase1 (12,4800,115250,62000,200,1,errorModel)); //
     // simulation time = 1.5, otherwise, ul test will fail
 
@@ -149,11 +149,11 @@
     // 12 users -> 3 PRB at Itbs 11 -> 73 bytes * 8/12 UE/TTI -> 48667 < 232000 -> throughput =
     // 48667 bytes/sec
     AddTestCase(new LenaCqaFfMacSchedulerTestCase1(1, 6000, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaCqaFfMacSchedulerTestCase1(3, 6000, 232000, 201000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaCqaFfMacSchedulerTestCase1(6, 6000, 198500, 97000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     // AddTestCase (new LenaCqaFfMacSchedulerTestCase1 (12,6000,99250,48667,200,1, errorModel)); //
     // simulation time = 1.5, otherwise, ul test will fail
 
@@ -175,18 +175,18 @@
     // 12 users -> 3 PRB at Itbs 8 -> 49 bytes * 8/12 UE/TTI -> 32667 < 232000 -> throughput = 32667
     // bytes/sec
     AddTestCase(new LenaCqaFfMacSchedulerTestCase1(1, 10000, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaCqaFfMacSchedulerTestCase1(3, 10000, 232000, 137000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaCqaFfMacSchedulerTestCase1(6, 10000, 129166, 67000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     // AddTestCase (new LenaCqaFfMacSchedulerTestCase1 (12,10000,64583,32667,200,1,errorModel));//
     // simulation time = 1.5, otherwise, ul test will fail
 
     // DOWNLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
     // UPLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
     AddTestCase(new LenaCqaFfMacSchedulerTestCase1(1, 100000, 0, 0, 200, 1, errorModel),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Test Case 2: homogeneous flow test in CQA (different distance)
     // Traffic1 info
@@ -211,7 +211,7 @@
     estThrCqaDl1.push_back(132000); // User 2 estimated TTI throughput from CQA
     estThrCqaDl1.push_back(132000); // User 3 estimated TTI throughput from CQA
     AddTestCase(new LenaCqaFfMacSchedulerTestCase2(dist1, estThrCqaDl1, packetSize1, 1, errorModel),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Traffic2 info
     //   UDP traffic: payload size = 200 bytes, interval = 1 ms
@@ -236,7 +236,7 @@
     estThrCqaDl2.push_back(230000); // User 2 estimated TTI throughput from CQA
     estThrCqaDl2.push_back(230000); // User 3 estimated TTI throughput from CQA
     AddTestCase(new LenaCqaFfMacSchedulerTestCase2(dist2, estThrCqaDl2, packetSize2, 1, errorModel),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Test Case 3: heterogeneous flow test in CQA
     //   UDP traffic: payload size = [100,200,300] bytes, interval = 1 ms
@@ -258,7 +258,7 @@
     estThrCqaDl3.push_back(232000); // User 1 estimated TTI throughput from CQA
     estThrCqaDl3.push_back(332000); // User 2 estimated TTI throughput from CQA
     AddTestCase(new LenaCqaFfMacSchedulerTestCase2(dist3, estThrCqaDl3, packetSize3, 1, errorModel),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-cqi-generation.cc ns-3.42/src/lte/test/lte-test-cqi-generation.cc
--- ns-3.41/src/lte/test/lte-test-cqi-generation.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-cqi-generation.cc	2024-05-29 15:29:47.124073500 -0700
@@ -89,59 +89,59 @@
  */
 
 LteCqiGenerationTestSuite::LteCqiGenerationTestSuite()
-    : TestSuite("lte-cqi-generation", SYSTEM)
+    : TestSuite("lte-cqi-generation", Type::SYSTEM)
 {
     //  LogLevel logLevel = (LogLevel)(LOG_PREFIX_FUNC | LOG_PREFIX_TIME | LOG_LEVEL_DEBUG);
     //  LogComponentEnable ("LteCqiGenerationTest", logLevel);
     NS_LOG_INFO("Creating LteCqiGenerationTestSuite");
 
     AddTestCase(new LteCqiGenerationTestCase("UsePdcchForCqiGeneration", false, 4, 2),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteCqiGenerationTestCase("UsePdschForCqiGeneration", true, 28, 2),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     AddTestCase(new LteCqiGenerationDlPowerControlTestCase("CqiGenerationWithDlPowerControl",
                                                            LteRrcSap::PdschConfigDedicated::dB0,
                                                            LteRrcSap::PdschConfigDedicated::dB0,
                                                            4,
                                                            2),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteCqiGenerationDlPowerControlTestCase("CqiGenerationWithDlPowerControl",
                                                            LteRrcSap::PdschConfigDedicated::dB0,
                                                            LteRrcSap::PdschConfigDedicated::dB_3,
                                                            8,
                                                            2),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteCqiGenerationDlPowerControlTestCase("CqiGenerationWithDlPowerControl",
                                                            LteRrcSap::PdschConfigDedicated::dB0,
                                                            LteRrcSap::PdschConfigDedicated::dB_6,
                                                            10,
                                                            2),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteCqiGenerationDlPowerControlTestCase("CqiGenerationWithDlPowerControl",
                                                            LteRrcSap::PdschConfigDedicated::dB1,
                                                            LteRrcSap::PdschConfigDedicated::dB_6,
                                                            12,
                                                            2),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteCqiGenerationDlPowerControlTestCase("CqiGenerationWithDlPowerControl",
                                                            LteRrcSap::PdschConfigDedicated::dB2,
                                                            LteRrcSap::PdschConfigDedicated::dB_6,
                                                            14,
                                                            2),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteCqiGenerationDlPowerControlTestCase("CqiGenerationWithDlPowerControl",
                                                            LteRrcSap::PdschConfigDedicated::dB3,
                                                            LteRrcSap::PdschConfigDedicated::dB_6,
                                                            14,
                                                            2),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteCqiGenerationDlPowerControlTestCase("CqiGenerationWithDlPowerControl",
                                                            LteRrcSap::PdschConfigDedicated::dB3,
                                                            LteRrcSap::PdschConfigDedicated::dB0,
                                                            8,
                                                            2),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-deactivate-bearer.cc ns-3.42/src/lte/test/lte-test-deactivate-bearer.cc
--- ns-3.41/src/lte/test/lte-test-deactivate-bearer.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-deactivate-bearer.cc	2024-05-29 15:29:47.124073500 -0700
@@ -62,7 +62,7 @@
 {
 
 LenaTestBearerDeactivateSuite::LenaTestBearerDeactivateSuite()
-    : TestSuite("lte-test-deactivate-bearer", SYSTEM)
+    : TestSuite("lte-test-deactivate-bearer", Type::SYSTEM)
 {
     NS_LOG_INFO("creating LenaTestPssFfMacSchedulerSuite");
 
@@ -95,7 +95,7 @@
 
     AddTestCase(
         new LenaDeactivateBearerTestCase(dist_1, estThrPssDl_1, packetSize_1, 1, errorModel, true),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-downlink-power-control.cc ns-3.42/src/lte/test/lte-test-downlink-power-control.cc
--- ns-3.41/src/lte/test/lte-test-downlink-power-control.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-downlink-power-control.cc	2024-05-29 15:29:47.124073500 -0700
@@ -53,7 +53,7 @@
  */
 
 LteDownlinkPowerControlTestSuite::LteDownlinkPowerControlTestSuite()
-    : TestSuite("lte-downlink-power-control", SYSTEM)
+    : TestSuite("lte-downlink-power-control", Type::SYSTEM)
 {
     //  LogLevel logLevel = (LogLevel)(LOG_PREFIX_FUNC | LOG_PREFIX_TIME | LOG_LEVEL_DEBUG);
     //  LogComponentEnable ("LteDownlinkPowerControlTest", logLevel);
@@ -103,7 +103,7 @@
                         powerTxMap,
                         activeRbs_txpowdB30nrb6run1earfcn500,
                         spectrumValue_txpowdB30nrb6run1earfcn500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
     {
         // if power for RB not present, but RB is active, use powerTx
@@ -146,7 +146,7 @@
                         powerTxMap,
                         activeRbs_txpowdB30nrb6run1earfcn500,
                         spectrumValue_txpowdB30nrb6run1earfcn500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
     {
         std::vector<int> activeRbs_txpowdB30nrb25run1earfcn500(15);
@@ -239,7 +239,7 @@
                         powerTxMap,
                         activeRbs_txpowdB30nrb25run1earfcn500,
                         spectrumValue_txpowdB30nrb25run1earfcn500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
     {
         // if power for RB not present, but RB is active, use powerTx
@@ -323,56 +323,56 @@
                         powerTxMap,
                         activeRbs_txpowdB30nrb25run1earfcn500,
                         spectrumValue_txpowdB30nrb25run1earfcn500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 
     // Downlink DATA and CONTROL channels power comparison
     AddTestCase(new LteDownlinkPowerControlTestCase(false,
                                                     LteRrcSap::PdschConfigDedicated::dB0,
                                                     "DataCtrlPowerDifference_noChange"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteDownlinkPowerControlTestCase(true,
                                                     LteRrcSap::PdschConfigDedicated::dB_6,
                                                     "DataCtrlPowerDifference_dB_6"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteDownlinkPowerControlTestCase(true,
                                                     LteRrcSap::PdschConfigDedicated::dB_4dot77,
                                                     "DataCtrlPowerDifference_dB_4dot77"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteDownlinkPowerControlTestCase(true,
                                                     LteRrcSap::PdschConfigDedicated::dB_3,
                                                     "DataCtrlPowerDifference_dB_3"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteDownlinkPowerControlTestCase(true,
                                                     LteRrcSap::PdschConfigDedicated::dB_1dot77,
                                                     "DataCtrlPowerDifference_dB_1dot77"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteDownlinkPowerControlTestCase(true,
                                                     LteRrcSap::PdschConfigDedicated::dB0,
                                                     "DataCtrlPowerDifference_dB0"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteDownlinkPowerControlTestCase(true,
                                                     LteRrcSap::PdschConfigDedicated::dB1,
                                                     "DataCtrlPowerDifference_dB1"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteDownlinkPowerControlTestCase(true,
                                                     LteRrcSap::PdschConfigDedicated::dB2,
                                                     "DataCtrlPowerDifference_dB2"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteDownlinkPowerControlTestCase(true,
                                                     LteRrcSap::PdschConfigDedicated::dB3,
                                                     "DataCtrlPowerDifference_dB3"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // RrcConnectionReconfiguration test
     AddTestCase(
         new LteDownlinkPowerControlRrcConnectionReconfigurationTestCase(false,
                                                                         "RrcConnReconf-IdealRrc"),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new LteDownlinkPowerControlRrcConnectionReconfigurationTestCase(true,
                                                                         "RrcConnReconf-RealRrc"),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 }
 
 double
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-downlink-sinr.cc ns-3.42/src/lte/test/lte-test-downlink-sinr.cc
--- ns-3.41/src/lte/test/lte-test-downlink-sinr.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-downlink-sinr.cc	2024-05-29 15:29:47.124073500 -0700
@@ -46,7 +46,7 @@
  */
 
 LteDownlinkSinrTestSuite::LteDownlinkSinrTestSuite()
-    : TestSuite("lte-downlink-sinr", SYSTEM)
+    : TestSuite("lte-downlink-sinr", Type::SYSTEM)
 {
     /**
      * Build Spectrum Model values for the TX signal
@@ -81,9 +81,9 @@
     (*theoreticalSinr1)[1] = 3.72255684126076;
 
     AddTestCase(new LteDownlinkDataSinrTestCase(rxPsd1, theoreticalSinr1, "sdBm = [-46 -48]"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteDownlinkCtrlSinrTestCase(rxPsd1, theoreticalSinr1, "sdBm = [-46 -48]"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     /**
      * TX signal #2: Power Spectral Density (W/Hz) of the signal of interest = [-63 -61] dBm and BW
@@ -98,9 +98,9 @@
     (*theoreticalSinr2)[1] = 0.1865697965291756;
 
     AddTestCase(new LteDownlinkDataSinrTestCase(rxPsd2, theoreticalSinr2, "sdBm = [-63 -61]"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteDownlinkCtrlSinrTestCase(rxPsd2, theoreticalSinr2, "sdBm = [-63 -61]"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /**
@@ -157,10 +157,10 @@
      */
 
     // Number of packet bursts (1 data + 4 interferences)
-    const int numOfPbs = 5;
+    constexpr int numOfPbs = 5;
 
     // Number of packets in the packet bursts
-    const int numOfPkts = 10;
+    constexpr int numOfPkts = 10;
 
     // Packet bursts
     Ptr<PacketBurst> packetBursts[numOfPbs];
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-earfcn.cc ns-3.42/src/lte/test/lte-test-earfcn.cc
--- ns-3.41/src/lte/test/lte-test-earfcn.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-earfcn.cc	2024-05-29 15:29:47.124073500 -0700
@@ -166,31 +166,35 @@
 static LteEarfcnTestSuite g_lteEarfcnTestSuite;
 
 LteEarfcnTestSuite::LteEarfcnTestSuite()
-    : TestSuite("lte-earfcn", UNIT)
+    : TestSuite("lte-earfcn", Type::UNIT)
 {
     NS_LOG_FUNCTION(this);
 
-    AddTestCase(new LteEarfcnDlTestCase("DL EARFCN=500", 500, 2160e6), TestCase::QUICK);
-    AddTestCase(new LteEarfcnDlTestCase("DL EARFCN=1000", 1000, 1970e6), TestCase::QUICK);
-    AddTestCase(new LteEarfcnDlTestCase("DL EARFCN=1301", 1301, 1815.1e6), TestCase::QUICK);
-    AddTestCase(new LteEarfcnDlTestCase("DL EARFCN=7000", 7000, 0.0), TestCase::QUICK);
-    AddTestCase(new LteEarfcnDlTestCase("DL EARFCN=20000", 20000, 0.0), TestCase::QUICK);
-    AddTestCase(new LteEarfcnDlTestCase("DL EARFCN=50000", 50000, 0.0), TestCase::QUICK);
+    AddTestCase(new LteEarfcnDlTestCase("DL EARFCN=500", 500, 2160e6), TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnDlTestCase("DL EARFCN=1000", 1000, 1970e6), TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnDlTestCase("DL EARFCN=1301", 1301, 1815.1e6),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnDlTestCase("DL EARFCN=7000", 7000, 0.0), TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnDlTestCase("DL EARFCN=20000", 20000, 0.0), TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnDlTestCase("DL EARFCN=50000", 50000, 0.0), TestCase::Duration::QUICK);
 
-    AddTestCase(new LteEarfcnUlTestCase("UL EARFCN=18100", 18100, 1930e6), TestCase::QUICK);
-    AddTestCase(new LteEarfcnUlTestCase("UL EARFCN=19000", 19000, 1890e6), TestCase::QUICK);
-    AddTestCase(new LteEarfcnUlTestCase("UL EARFCN=19400", 19400, 1730e6), TestCase::QUICK);
-    AddTestCase(new LteEarfcnUlTestCase("UL EARFCN=10", 10, 0.0), TestCase::QUICK);
-    AddTestCase(new LteEarfcnUlTestCase("UL EARFCN=1000", 1000, 0.0), TestCase::QUICK);
-    AddTestCase(new LteEarfcnUlTestCase("UL EARFCN=50000", 50000, 0.0), TestCase::QUICK);
+    AddTestCase(new LteEarfcnUlTestCase("UL EARFCN=18100", 18100, 1930e6),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnUlTestCase("UL EARFCN=19000", 19000, 1890e6),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnUlTestCase("UL EARFCN=19400", 19400, 1730e6),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnUlTestCase("UL EARFCN=10", 10, 0.0), TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnUlTestCase("UL EARFCN=1000", 1000, 0.0), TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnUlTestCase("UL EARFCN=50000", 50000, 0.0), TestCase::Duration::QUICK);
 
-    AddTestCase(new LteEarfcnTestCase("EARFCN=500", 500, 2160e6), TestCase::QUICK);
-    AddTestCase(new LteEarfcnTestCase("EARFCN=1000", 1000, 1970e6), TestCase::QUICK);
-    AddTestCase(new LteEarfcnTestCase("EARFCN=1301", 1301, 1815.1e6), TestCase::QUICK);
-    AddTestCase(new LteEarfcnTestCase("EARFCN=8000", 8000, 0.0), TestCase::QUICK);
-    AddTestCase(new LteEarfcnTestCase("EARFCN=50000", 50000, 0.0), TestCase::QUICK);
-    AddTestCase(new LteEarfcnTestCase("EARFCN=18100", 18100, 1930e6), TestCase::QUICK);
-    AddTestCase(new LteEarfcnTestCase("EARFCN=19000", 19000, 1890e6), TestCase::QUICK);
-    AddTestCase(new LteEarfcnTestCase("EARFCN=19400", 19400, 1730e6), TestCase::QUICK);
-    AddTestCase(new LteEarfcnTestCase("EARFCN=50000", 50000, 0.0), TestCase::QUICK);
+    AddTestCase(new LteEarfcnTestCase("EARFCN=500", 500, 2160e6), TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnTestCase("EARFCN=1000", 1000, 1970e6), TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnTestCase("EARFCN=1301", 1301, 1815.1e6), TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnTestCase("EARFCN=8000", 8000, 0.0), TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnTestCase("EARFCN=50000", 50000, 0.0), TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnTestCase("EARFCN=18100", 18100, 1930e6), TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnTestCase("EARFCN=19000", 19000, 1890e6), TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnTestCase("EARFCN=19400", 19400, 1730e6), TestCase::Duration::QUICK);
+    AddTestCase(new LteEarfcnTestCase("EARFCN=50000", 50000, 0.0), TestCase::Duration::QUICK);
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-fdbet-ff-mac-scheduler.cc ns-3.42/src/lte/test/lte-test-fdbet-ff-mac-scheduler.cc
--- ns-3.41/src/lte/test/lte-test-fdbet-ff-mac-scheduler.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-fdbet-ff-mac-scheduler.cc	2024-05-29 15:29:47.124073500 -0700
@@ -56,7 +56,7 @@
 NS_LOG_COMPONENT_DEFINE("LenaTestFdBetFfMacScheduler");
 
 LenaTestFdBetFfMacSchedulerSuite::LenaTestFdBetFfMacSchedulerSuite()
-    : TestSuite("lte-fdbet-ff-mac-scheduler", SYSTEM)
+    : TestSuite("lte-fdbet-ff-mac-scheduler", Type::SYSTEM)
 {
     NS_LOG_INFO("creating LenaTestFdBetFfMacSchedulerSuite");
 
@@ -78,13 +78,13 @@
     // after the patch enforcing min 3 PRBs per UE:
     // 12 users -> 3 PRB at Itbs 26 -> 277 bytes * 8/12 UE/TTI -> 184670 bytes/sec
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(1, 0, 2196000, 2292000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(3, 0, 749000, 749000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(6, 0, 373000, 373000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(12, 0, 185000, 184670, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 4800 -> MCS 22 -> Itbs 20 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 20 -> 1383 -> 1383000 bytes/sec
@@ -98,13 +98,13 @@
     // after the patch enforcing min 3 PRBs per UE:
     // 12 users -> 3 PRB at Itbs 13 -> 93  bytes * 8/12 UE/TTI  -> 62000 bytes/sec
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(1, 4800, 1383000, 807000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(3, 4800, 469000, 253000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(6, 4800, 233500, 125000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(12, 4800, 113000, 62000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 6000 -> MCS 20 -> Itbs 18 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 18 -> 1191 -> 1191000 byte/sec
@@ -117,13 +117,13 @@
     // 6 users -> 4 PRB at Itbs 11 -> 97 -> 97000 bytes/sec
     // 12 users -> 3 PRB at Itbs 11 -> 73 bytes * 8/12 UE/TTI -> 48667 bytes/sec
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(1, 6000, 1191000, 621000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(3, 6000, 389000, 201000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(6, 6000, 193000, 97000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(12, 6000, 97000, 48667, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 10000 -> MCS 14 -> Itbs 13 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 13 -> 775 -> 775000 byte/sec
@@ -137,13 +137,13 @@
     // after the patch enforcing min 3 PRBs per UE:
     // 12 users -> 3 PRB at Itbs 8 -> 49 bytes * 8/12 UE/TTI -> 32667 bytes/sec
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(1, 10000, 775000, 421000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(3, 10000, 253000, 137000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(6, 10000, 125000, 67000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(12, 10000, 61000, 32667, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 20000 -> MCS 8 -> Itbs 8 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 8 -> 421 -> 421000 bytes/sec
@@ -157,17 +157,18 @@
     // after the patch enforcing min 3 PRBs per UE:
     // 12 users -> 3 PRB at Itbs 2 -> 18 bytes * 8/12 UE/TTI -> 12000 bytes/sec
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(1, 20000, 421000, 137000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(3, 20000, 137000, 41000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(6, 20000, 67000, 22000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(12, 20000, 32000, 12000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
     // UPLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
-    AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(1, 100000, 0, 0, errorModel), TestCase::QUICK);
+    AddTestCase(new LenaFdBetFfMacSchedulerTestCase1(1, 100000, 0, 0, errorModel),
+                TestCase::Duration::QUICK);
 
     // Test Case 2: fairness check
 
@@ -191,7 +192,7 @@
     estThrFdBetUl.push_back(26000);  // User 4 estimated TTI throughput from FDBET
     AddTestCase(
         new LenaFdBetFfMacSchedulerTestCase2(dist, estAchievableRateDl, estThrFdBetUl, errorModel),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 }
 
 /**
